Query bank accounts
curl --request POST \
--url https://sandbox.tight.com/v6/banks/accounts/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {},
"filter": {
"status": {
"in": [],
"notIn": []
},
"journalEntry": {
"expand": true
},
"integration": {
"expand": true
},
"apiName": {
"in": [],
"notIn": []
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/banks/accounts/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": {},
"filter": {
"status": {
"in": [],
"notIn": []
},
"journalEntry": { "expand": True },
"integration": { "expand": True },
"apiName": {
"in": [],
"notIn": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {},
filter: {
status: {in: [], notIn: []},
journalEntry: {expand: true},
integration: {expand: true},
apiName: {in: [], notIn: []}
}
})
};
fetch('https://sandbox.tight.com/v6/banks/accounts/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"data": [
{
"id": "123456",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"name": "Chase Checking",
"mask": "1234",
"integration": {
"id": "<string>",
"apiInstitutionId": "<string>"
},
"type": "DEPOSITORY",
"subType": "CHECKING",
"lastSyncedDate": "2023-11-07T05:31:56Z",
"syncTransactions": true,
"isSupported": true,
"tranStartDate": "2023-12-25",
"tranMinStartDate": "2023-12-25",
"latestTransactionDate": "2025-01-01",
"glAccountId": "<string>",
"beginningBalanceData": {
"journalEntry": {
"id": "<string>",
"tranDate": "2023-12-25"
},
"amount": 123
},
"accountBalance": 100000,
"latestCompletedReconciliationDate": "2025-10-01",
"billingCycleStartDay": 16,
"scheduleReconciliations": true
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Bank Accounts
Query bank accounts
Query bank accounts for the authenticated user
POST
/
v6
/
banks
/
accounts
/
query
Query bank accounts
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes